
Redmine - Feature #10352

Preview should already display the freshly attached images

2012-03-02 09:57 - Robert Pollak

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 2.3.0   

Resolution: Fixed   

Description

When e.g. entering an issue comment with the text

Look at this: !A.npg!

and at the same time adding the new attachment A.png, I would be good if the comment preview already displayed the inline image.

Related issues:

Related to Redmine - Feature #8579: Multiple file upload with HTML5 / Drag-an... Closed 2011-06-09

Associated revisions

Revision 10977 - 2012-12-10 21:09 - Jean-Philippe Lang

Merged ajax_upload branch (#3957).

History

#1 - 2012-03-08 16:32 - Etienne Massip

- Category set to Text formatting

- Target version set to Candidate for next major release

Agree.

HTML 5 API allow standard loading of images with JavaScript but preview is generated by server so it might still require a file upload.

#2 - 2012-05-16 00:28 - Rolf Lampa

- File 2012-05-16 00.10_scr_06.png added

Robert Pollak wrote:

When e.g. entering an issue [...] and at the same time adding the new attachment A.png,

 Yes, this is really much needed. I 'voted' for this feature using Paypal:

!2012-05-16 00.10_scr_06.png! =)

 Se also issue #7979.

// Rolf

#3 - 2012-11-24 13:10 - Jean-Philippe Lang

- Category changed from Text formatting to Attachments

- Target version changed from Candidate for next major release to 2.3.0

#4 - 2013-01-12 19:20 - Etienne Massip

- Resolution set to Fixed
https://www.redmine.org/issues/7979


Should be totally ok now that #12642 has been fixed, it would be great if somebody could take some time to test it.

#5 - 2013-01-12 19:29 - Daniel Felix

- Status changed from New to Closed

I'm closing this one.

I just retrieved the current trunk r11175 and it worked! Thanks for the hint!

The requested functionality is implemented in r11133. It will work on newer browsers (IE10> and FF, Chrome, Safari - see #12642).

#6 - 2013-01-12 19:38 - Etienne Massip

Daniel Felix wrote:

The requested functionality is implemented in r11133.

 More like in r10977, r11133 is a fix for preview.

#7 - 2013-01-12 19:42 - Daniel Felix

Ah yes! Thanks for correcting me! :-)
